Skip to main content
POST
/
workspace
/
abbreviations
Create an Abbreviation
curl --request POST \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/abbreviations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "find": "<string>",
  "replace": "<string>"
}
'
{
  "id": "<string>",
  "find": "<string>",
  "replace": "<string>",
  "timestamp": {
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  },
  "links": {
    "self": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

CreateWorkspaceAbbreviationData

find
string
required

The full length word that will be abbreviated. Each word (separated by a space, comma, etc) will be evaluated separately and concatenated together using a hyphen

Maximum string length: 55
Example:

"Infrastructure"

replace
string | null

The abbreviated value that will replace the full length word

Maximum string length: 55
Example:

"infra"

Response

WorkspaceAbbreviationResponse

id
string
required
Example:

"wsabv_01hq8xyzabc123def456ghi789"

find
string
required

The full length word that will be abbreviated. Each word (separated by a space, comma, etc) will be evaluated separately and concatenated together using a hyphen

Example:

"Infrastructure"

replace
string | null
required

The abbreviated value that will replace the full length word

Example:

"infra"

timestamp
TimestampBasicData · object
required

The timestamps for the abbreviation record

API hyperlinks related to the abbreviation record

Example:
{
"self": "https://ws-a1b2c3.provisionr.io/api/v1/workspace/abbreviations/wsabv_01hq8xyzabc123def456ghi789"
}